Promise Pegasus2 R6 (M1 Sonoma) Mac warning

  • 284 Views
  • Last Post 24 January 2024
Alex Vernon posted this 24 January 2024

Hi, I have a Promise Pegasus2 R6 which is running great on my MPB M1 (Sonoma 14.1) but I've had the below warning appear. Does this mean it will no longer be supported or is this new firmware update the solution? https://kb.promise.com/thread/installing-the-macos-pegasus-dext-driver/

Apologies if this has already been anwsered in a previous post, I have looked but just wanted to double check that i'm not missing anything.

Many thanks,

Alex

 

Order By: Standard | Latest | Votes
R P posted this 24 January 2024

Hi Alex,

You'll get this message if you are using a Kernel Extention (aka KEXT) Promise Driver. Apple has depricated all 3rd party KEXT drivers and at some point in the future (only Apple know when) macOS won't allow KEXT drivers to load.

Apple has introduced a new type of driver known as DEXT (Driverkit Extention) to replace the KEXT driver, so the solution is to install the Promise DEXT driver.

Only driver support is changing.

And you have already mentioned the solution.

Just load the DEXT driver, the process is described in detail in the Knowledge Base article. Then the popups will stop.

  • Liked by
  • Alex Vernon
Alex Vernon posted this 24 January 2024

Hi RP,

Thank you so much for this and taking the time to expain it to me (i'm creative but not great with computers/IT) but your explanation helps me understand this a lot better!

Cheers,

Alex

Close